
CoCoA-5 - Design #1194

Rename HilbertBasisKer into LinKerHilbertBasis?

25 Jun 2018 09:52 - Anna Maria Bigatti

Status: Rejected Start date: 25 Jun 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Renaming Estimated time: 0.50 hour

Target version: CoCoA-5.4.0 Spent time: 0.80 hour

Description

The functions HilbertBasisKer and LinKerBasis have the same kind of input and output.

Maybe this would be clearer with more compatible names: LinKerHilbertBasis?

Related issues:

Related to CoCoA-5 - Bug #1189: HilbertBasisKer: unhelpful error with some in... Closed 19 Jun 2018

Related to CoCoA-5 - Support #225: HilbertBasis: cocoa vs normaliz Closed 10 Sep 2012

Related to CoCoA-5 - Support #1478: HilbertBasis: clarify Closed 06 Aug 2020

Related to CoCoA-5 - Feature #1596: Add CoCoA5 function  NmzHilbertBasisKer Resolved 14 May 2021

History

#1 - 25 Jun 2018 09:53 - Anna Maria Bigatti

- Description updated

#2 - 25 Jun 2018 11:26 - Anna Maria Bigatti

- Related to Bug #1189: HilbertBasisKer: unhelpful error with some inputs added

#3 - 25 Jun 2018 11:27 - Anna Maria Bigatti

- Related to Support #225: HilbertBasis: cocoa vs normaliz added

#4 - 06 Aug 2020 16:34 - John Abbott

- Related to Support #1478: HilbertBasis: clarify added

#5 - 20 Oct 2020 17:44 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.0

Is this a quick issue?  If so, is it worth finishing it quickly?

#6 - 20 Oct 2020 18:05 - Anna Maria Bigatti

Now I'd have a slight preference in keeping the current name (it is convenient as it emphasise the "HilbertBasis" structure, and it has already been

renamed once...) or having both names (but it is a bit excessive).

So now I'm for rejecting this issue.

#7 - 03 Feb 2022 19:38 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#8 - 23 Feb 2022 12:28 - Anna Maria Bigatti

- Related to Feature #1596: Add CoCoA5 function  NmzHilbertBasisKer added
#9 - 23 Feb 2022 12:37 - Anna Maria Bigatti

- Status changed from New to Rejected

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

- % Done changed from 10 to 100

- Estimated time set to 0.50 h

Rejected.

HilbertBasisKer will return a matrix, like LinKer.

The interface, rows or columns, QQ or ZZ, will be discussed in issue #1596.
